using System;

namespace kako_je_kvadrat__upitnik
{
    class Program
    {
        static void Main(string[] args)
        {
            string[] xy1 = Console.ReadLine().Split();
            int x1 = int.Parse(xy1[0]);
            int y1 = int.Parse(xy1[1]);
            string[] xy2 = Console.ReadLine().Split();
            int x2 = int.Parse(xy2[0]);
            int y2 = int.Parse(xy2[1]);           
            if (x1 == x2 || y1 == y2)
            {
                Console.WriteLine(2);
            }
            else if (Math.Abs(x1-x2) == Math.Abs(y1 - y2))
            {
                Console.WriteLine(1);
            }
            else
                Console.WriteLine(0);
        }
    }
}